API KeysCreate API key

Create API key

Create a new API key. The response includes fullKey once; store it immediately. Requires Bearer JWT with owner or admin role.

curl -X POST "https://api.talkturo.com/api/api-keys" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "accountSlug": "example_string",
  "name": "John Doe",
  "description": "example_string",
  "environment": "live",
  "expiresInDays": 3.14,
  "permissions": {
    "scopes": [
      "*"
    ],
    "rate_limit_per_hour": 1000
  }
}'
{
  "apiKey": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "John Doe",
    "description": "example_string",
    "key_prefix": "example_string",
    "permissions": {
      "scopes": [
        "*"
      ],
      "rate_limit_per_hour": 1000
    },
    "last_used_at": "2024-12-25T10:00:00Z",
    "expires_at": "2024-12-25T10:00:00Z",
    "is_active": true,
    "created_at": "2024-12-25T10:00:00Z",
    "created_by": "123e4567-e89b-12d3-a456-426614174000",
    "fullKey": "example_string"
  }
}
POST
/api-keys
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (JWT)
Bearer Tokenstring
Required

Supabase access token JWT for desktop clients and account-management routes such as API key administration (owner / admin required for API keys). Send as Authorization: Bearer eyJ....

Supabase access token JWT for desktop clients and account-management routes such as API key administration (owner / admin required for API keys). Send as Authorization: Bearer eyJ....
Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Supabase access token JWT for desktop clients and account-management routes such as API key administration (owner / admin required for API keys). Send as Authorization: Bearer eyJ....

Responses

apiKeystring